Subject: Re: bug#9895: 24.0.90; Daemon crashes when client frame is closed
From: Dan Nicolaescu <[email-masked]>
To: Wolodja Wentland <[email-masked]>
Cc: [email-masked]
Date: Mon, 31 Oct 2011 16:22:50 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

Wolodja Wentland <[email-masked]> writes:

> On Fri, Oct 28, 2011 at 14:32 -0400, Dan Nicolaescu wrote:
>> Wolodja Wentland <[email-masked]> writes:
>> 
>> > Hi all,
>> >
>> > the emacs daemon crashes every time I am closing a client frame. The
>> > behaviour can be consistently reproduced with the following steps:
>> >
>> > 1. emacs --daemon
>> 
>> When you do this, do you get a warning like:
>> 
>> Warning: due to a long standing Gtk+ bug
>> http://bugzilla.gnome.org/show_bug.cgi?id=85715
>> Emacs might crash when run in daemon mode and the X11 connection is unexpectedly lost.
>> Using an Emacs configured with --with-x-toolkit=lucid does not have this problem.
>> 
>> If yes, then you quite likely hit the Gtk+ bug mentioned above.
>
> Indeed I do. Does this imply that I cannot use the daemon functionality until
> the GTK bug has been resolved or if I recompile Emacs with
> --with-x-toolkit=lucid?

You can use it at your own risk...  It is only a problem when the X11
connection dies, or when you use xkill or the window manager to kill
emacs frames, if you use C-x 5 0 it should be fine.

IMVHO people that make heavy use of --daemon should stay away from Gtk+
(and try to lobby to the Gtk+ people to fix this bug).

I am closing this bug, there are a few other instances of this bug in
the database...